/* ***********************************************************************************************************
    TABLE FORMATTING CLASSES
   *********************************************************************************************************** */

table.fin-table-align-figures-right td,
table.fin-table-align-figures-right td p,
table.fin-table-align-figures-right th,
table.fin-table-align-figures-right th p {
  text-align: right !important;
}

table.fin-table-align-figures-right td:first-child,
table.fin-table-align-figures-right td:first-child p,
table.fin-table-align-figures-right th:first-child,
table.fin-table-align-figures-right th:first-child p {
  text-align: left !important;
}

table.fin-table-align-figures-right-option2 td,
table.fin-table-align-figures-right-option2 td p,
table.fin-table-align-figures-right-option2 th,
table.fin-table-align-figures-right-option2 th p {
  text-align: right !important;
}

table.fin-table-align-figures-right-option2 td:first-child,
table.fin-table-align-figures-right-option2 td:first-child p,
table.fin-table-align-figures-right-option2 th:first-child,
table.fin-table-align-figures-right-option2 th:first-child p {
  text-align: left !important;
}

table.fin-table-align-figures-right-option2 td:nth-of-type(2),
table.fin-table-align-figures-right-option2 td:nth-of-type(2) p,
table.fin-table-align-figures-right-option2 th:nth-of-type(2),
table.fin-table-align-figures-right-option2 th:nth-of-type(2) p {
  text-align: left !important;
}

.highlightTDActive {
  background-color: #F0F1BC;
  opacity: 0.95;
  filter: brightness(105%);
}

.border-thin {
  border: 1px solid #777;
}

.border-thick {
  border: 2px solid #777;
}

.border-TD-bottom-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
}

.border-TD-bottom-thick {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777 !important;
}

.border-TD-top-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
}

.border-TD-left-thin {
  border-width: 0px !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
}

.border-TD-right-thin {
  border-width: 0px !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-top-left-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
}

.border-TD-top-right-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-bottom-left-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
}

.border-TD-bottom-right-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-bottom-thick-left-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
}

.border-TD-bottom-thick-right-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-bottom-thick-left-right-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-bottom-thick-top-left-right-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-none {
  border-width: 0px !important;
}

.border-TD-box {
  border: 1px solid #777 !important;
}

.border-TD-top-left-bottom-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
}

.border-TD-top-right-bottom-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
}

.border-TD-top-bottom-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
}

.border-TD-bottom-thick-top-left-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777 !important;
}

.border-TD-bottom-thick-top-right-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777 !important;
}

.border-TD-bottom-thick-top-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-bottom-style: solid !important;
  border-bottom-width: 2px !important;
  border-bottom-color: #777 !important;
}

.border-TD-left-right-thin {
  border-width: 0px !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-top-left-right-thin {
  border-width: 0px !important;
  border-top-style: solid !important;
  border-top-width: 1px !important;
  border-top-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-bottom-left-right-thin {
  border-width: 0px !important;
  border-bottom-style: solid !important;
  border-bottom-width: 1px !important;
  border-bottom-color: #777 !important;
  border-left-style: solid !important;
  border-left-width: 1px !important;
  border-left-color: #777 !important;
  border-right-style: solid !important;
  border-right-width: 1px !important;
  border-right-color: #777 !important;
}

.border-TD-color-main {
  border-color: #000000 !important;
}

.border-TD-color-secondary {
  border-color: #ffcb05 !important;
}

.border-TD-color-tertiary {
  border-color: #777 !important;
}

.bg-TD-color-main {
  background-color: #000000 !important;
}

.bg-TD-color-secondary {
  background-color: #ffcb05 !important;
}

.bg-TD-color-tertiary {
  background-color: #4c4c4c !important;
}

.TD-Background-top-curved {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  padding: 5px !important;
}

.vertical-align-TD-top {
  vertical-align: top !important;
}

.vertical-align-TD-middle {
  vertical-align: middle !important;
}

.vertical-align-TD-bottom {
  vertical-align: bottom !important;
}

tr.TR-table-headings td,
tr.TR-table-headings th {
  padding-right: 10px !important;
}

table.fin-table-align-figures-right td.text-align-TD-left p,
table.fin-table-align-figures-right-option2 td.text-align-TD-left p,
.text-align-TD-left,
td.text-align-TD-left, th.text-align-TD-left,
td.text-align-TD-left p, th.text-align-TD-left p,
td.text-align-TD-left div p, th.text-align-TD-left div p {
  text-align: left !important;
}

table.fin-table-align-figures-right td.text-align-TD-right p,
table.fin-table-align-figures-right-option2 td.text-align-TD-right p,
.text-align-TD-right,
td.text-align-TD-right, th.text-align-TD-right,
td.text-align-TD-right p, th.text-align-TD-right p,
td.text-align-TD-right div p, th.text-align-TD-right div p {
  text-align: right !important;
}

table.fin-table-align-figures-right td.text-align-TD-center p,
table.fin-table-align-figures-right-option2 td.text-align-TD-center p,
.text-align-TD-center,
td.text-align-TD-center, th.text-align-TD-center,
td.text-align-TD-center p, th.text-align-TD-center p,
td.text-align-TD-center div p, th.text-align-TD-center div p {
  text-align: center !important;
}

table.fin-table-align-figures-right th.text-align-TD-center p,
table.fin-table-align-figures-right-option2 th.text-align-TD-center p,
.text-align-TD-center,
th.text-align-TD-center, th.text-align-TD-center,
th.text-align-TD-center p, th.text-align-TD-center p,
th.text-align-TD-center div p, th.text-align-TD-center div p {
  text-align: center !important;
}

table.fin-table-align-figures-right td.text-align-TD-justify p,
table.fin-table-align-figures-right-option2 td.text-align-TD-justify p,
.text-align-TD-justify,
td.text-align-TD-justify, th.text-align-TD-justify,
td.text-align-TD-justify p, th.text-align-TD-justify p,
td.text-align-TD-justify div p, th.text-align-TD-justify div p {
  text-align: justify !important;
}

table.border-TABLE-none {
  border-width: 0px !important;
}

.tdBox20x20 {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
  margin-bottom: -3px;
  background: #f5f5f5;
  text-align: center;
}

/* ***********************************************************************************************************
    TEXT FORMATTING CLASSES
   *********************************************************************************************************** */

.text-align-left {
  text-align: left !important;
}

.text-align-right {
  text-align: right !important;
}

.text-align-center {
  text-align: center !important;
}

.text-align-justify {
  text-align: justify !important;
}

.text-indent-add {
  margin-left: 50px !important;
  display: block;
}

.font-weight-bold,
.font-weight-bold * {
  font-weight: bold !important;
}

.font-weight-normal,
.font-weight-normal * {
  font-weight: normal !important;
}

.font-style-italic, 
.font-style-italic * {
  font-style: italic !important;
}

.font-style-normal, 
.font-style-normal * {
  font-style: normal !important;
}

.text-decoration-underline,
.text-decoration-underline * {
  text-decoration: underline !important;
}

.font-size-larger,
.font-size-larger * {
  font-size: larger;
}

.font-size-smaller,
.font-size-smaller * {
  font-size: smaller;
}

.bold-text {
  font-weight: bold;
}

.add-break-after:after {
  content: ".";
  display:block;
  height:0;
  clear:both;
  visibility:hidden
}

.white-space-nowrap {
  white-space: nowrap !important;
  background: #e6cca2
}

.text-size12, .text-size12 * {
  font-size: 12px !important;
}

.text-size13, .text-size13 * {
  font-size: 13px !important;;
}

.text-size14, .text-size14 * {
  font-size: 14px !important;
}

.text-size15, .text-size15 * {
  font-size: 15px !important;
}

.text-size16 , .text-size16 * {
  font-size: 16px !important;
}

.text-size17 , .text-size17 * {
  font-size: 17px !important;
}

.text-size18, .text-size18 * {
  font-size: 18px !important;
}

.text-size19, .text-size19 * {
  font-size: 19px !important;
}

.text-size20, .text-size20 * {
  font-size: 20px !important;
}

.text-size22, .text-size22 * {
  font-size: 22px !important;
}

.text-size24, .text-size24 * {
  font-size: 24px !important;
}

.text-size36, .text-size36 * {
  font-size: 36px !important;
}

.text-size48, .text-size48 * {
  font-size: 48px !important;
}

.text-size72, .text-size72 * {
  font-size: 72px !important;
}
